// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////

#include "SkillTreeEditorPrivatePCH.h"
#include "SkillTreeFactory.h"
#include "SkillTreeObject.h"
#include "AssetRegistryModule.h"
#include "PackageTools.h"

#define LOCTEXT_NAMESPACE "SkillTree"

USkillTreeFactory::USkillTreeFactory( const FObjectInitializer& ObjectInitializer )
	: Super( ObjectInitializer )
{
	bCreateNew = true;
	bEditAfterNew = true;
	SupportedClass = USkillTreeObject::StaticClass();
}

UObject* USkillTreeFactory::FactoryCreateNew( UClass* a_class, UObject* a_parent, FName a_name, EObjectFlags a_flags, UObject* a_context, FFeedbackContext* a_warn )
{
	USkillTreeObject* newSkillTree = NewObject<USkillTreeObject>( a_parent, a_class, a_name, a_flags | RF_Transactional );

	return newSkillTree;
}

#undef LOCTEXT_NAMESPACE